﻿@model SynonymViewModel
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <form asp-controller="Home" asp-action="Synonyms" method="get">
        <input type="text" id="term" name="term" value="@(Model?.Term ?? "")" placeholder="term" />
        <button asp-controller="Home" asp-action="Synonyms">Search</button>
    </form>
    <form asp-controller="Home" asp-action="Synonyms" method="post">
        <input type="text" id="term" name="term" placeholder="term" />
        <input type="text" id="synonyms" name="synonyms" placeholder="synonyms" />
        <button asp-controller="Home" asp-action="AddSynonyms">Add Synonyms</button>
    </form>

    @await Html.PartialAsync("Synonyms.cshtml", Model ?? new SynonymViewModel())
</div>
